//september 2019
var VerbLed = {};
var Utils = {};
Utils.path = "";
var questionId = 0, startTime = 0, scoredMarks = 0, totalMarks = 9, resId = 0, label, scoreFlag = false;
var word="",totalNos=0,type="sentence";
var randNo;
var index=0;
var randLevel=0;
 Utils.mobileDeviceFlag = false;
 var nextClickCnt=0;
 VerbLed.queArr=[];
 VerbLed.homeFlag=false;
$(document).ready(function () {
	if ((navigator.userAgent.match(/Android|BlackBerry|iPhone|iPad|iPod|Opera Mini|IEMobile/i)) && !(window.location.href.includes('http')))
        Utils.mobileDeviceFlag = true;
	/* if(Utils.mobileDeviceFlag)
	{
		Utils.Path=Android.getMediaPath('makeRhymeWord');
	} */
	$(".se-pre-con").fadeOut("slow");
	setTimeout(function () {
		VerbLed.setImageSource();
		VerbLed.Init();
	}, 100);
});

VerbLed.setImageSource = function () {
	document.body.style.backgroundImage = Utils.path + "url('images/coverPage.png')";
   document.getElementById("verbDiv").style.background=Utils.path+"url('images/titleblock.png')";
	document.getElementById("verbDiv").style.backgroundSize="100% 100%"; 
	document.getElementById("home").src = Utils.path + "images/Home.png";
	document.getElementById("logo").src = Utils.path + "images/logo.png";
	document.getElementById("playbutton").src = Utils.path + "images/Play.png";
	document.getElementById("skip").src = Utils.path + "images/skip.png";
	document.getElementById("next").src = Utils.path + "images/Next.png";	//
	document.getElementById("go").src = Utils.path + "images/Next.png";
	document.getElementById("sound").src = Utils.path + "images/sound.png";
	document.getElementById("replatbtn").src=Utils.path+"images/replay.png";
	document.getElementById("creditbtn").src=Utils.path+"images/Credits.png";

	if(VerbLed.hardcodedData.languageFont!=null)
	setFontFamilyForLang(VerbLed.hardcodedData.languageFont);
}
setFontFamilyForLang = function (fontFilePath) {
var newStyle = "<style>" +
	"@font-face { " +
	"font-family: 'CustomFontFamily';" +
	"src: url('" + fontFilePath + "') format('truetype');" +
	"} </style>";
$("head").append(newStyle);
$("body").css("font-family", "CustomFontFamily");
}

VerbLed.Init = function () {
	document.getElementById("home").style.display = "none";
	document.getElementById("gamePage").style.display = "none";
	document.getElementById("finalPage").style.display="none";	//verbList
	document.getElementById("goButton").style.display = "none";
	document.getElementById("verbList").style.display = "none";
}

VerbLed.playGame = function () {
	VerbLed.practice=false;
	if(Utils.mobileDeviceFlag)
		VerbLed.practice=Android.isPractice();
	VerbLed.createLevels();
	document.body.style.backgroundImage = Utils.path + "url('images/bg.png')";
	document.getElementById("coverPage").style.display="none";
	document.getElementById("levelPage").style.display="block";
	document.getElementById("home").style.display = "block";	//
}
VerbLed.createLevels = function () {
	for(var i=0;i<2;i++)
	{
		var levelDiv = document.createElement("div");
		levelDiv.setAttribute("id","levelDiv"+i);
		levelDiv.setAttribute("class","levels col-sm-5 col-lg-5 col-md-5 col-xs-5 col-sm-offset-1 col-lg-offset-1 col-md-offset-1 col-xs-offset-1");
		document.getElementById('levelCategory').appendChild(levelDiv);
		document.getElementById("levelDiv"+i).style.backgroundImage= Utils.path + "url('images/block.png')";
		document.getElementById("levelDiv"+i).style.backgroundSize="100% 100%"; 
		$(levelDiv).data("level",i);
		$(levelDiv).text(VerbLed.data[i].level);
		levelDiv.setAttribute("onclick","VerbLed.showVerbList(this.id)");
	}
	document.getElementById("verbList").style.display="none";
}
//Initialize variables  
VerbLed.initVariables = function ()
{
	index=0;
	VerbLed.rightAnsCnt=0;
	VerbLed.optionsArray=[];
	VerbLed.ans;
	VerbLed.ansData;
	VerbLed.queCnt=0;
	VerbLed.highlightedCell;
	VerbLed.tenseSequence;
	VerbLed.tensArray= ["Present","Past","Future"];
	
	VerbLed.ansClicked=false;
	VerbLed.sellClicked=false;
	VerbLed.nextClicked=false;
}
VerbLed.showVerbList = function (obj) {
	VerbLed.homeFlag=true;
	nextClickCnt=0;
	//$("#goButton").css({"opacity":"0.6",'pointer-events':'none'});
	document.getElementById("goButton").style.display = "block";
	document.getElementById("levelPage").style.display="none";
	document.getElementById("verbListPage").style.display="block";
	document.getElementById("verbList").style.display="block";
	document.getElementById("outerVerbList").style.background=Utils.path+"url('images/swimimgTank.png')";
	document.getElementById("outerVerbList").style.backgroundSize="100% 100%"; 
	document.getElementById("verbList").innerHTML="";
	randLevel=$("#"+obj).data("level");
	var totalverb=VerbLed.data[randLevel].Array.length;
	for(var i=0;i<totalverb;i++)
	{
		var outerVerbDiv = document.createElement("div");
		outerVerbDiv.setAttribute("id","outerVerbDiv"+i);
		outerVerbDiv.setAttribute("class","verbDiv nopadding col-sm-6 col-lg-6 col-md-6 col-xs-6 col-sm-offset-0 col-lg-offset-0 col-md-offset-0 col-xs-offset-0");
		document.getElementById('verbList').appendChild(outerVerbDiv);
		
		var radioButton = document.createElement("INPUT");
		radioButton.setAttribute("id","radioButton"+i);
		radioButton.setAttribute("type", "radio");
		radioButton.setAttribute("name", "verbs");
		radioButton.setAttribute("class", "radioButtons nopadding col-sm-4 col-lg-4 col-md-4 col-xs-4");
		radioButton.setAttribute("onclick", "VerbLed.selectVerb(this.id)");
		$(radioButton).data("verbIndex",i);
		document.getElementById("outerVerbDiv"+i).appendChild(radioButton);

		var verbDiv = document.createElement("div");
		verbDiv.setAttribute("id","verbDiv"+i);
		verbDiv.setAttribute("class","verb nopadding col-sm-11 col-lg-11 col-md-11 col-xs-11 col-sm-offset-0 col-lg-offset-0 col-md-offset-0 col-xs-offset-0");
		document.getElementById("outerVerbDiv"+i).appendChild(verbDiv);
		$(verbDiv).text(VerbLed.data[randLevel].Array[i].verb+" - "+VerbLed.data[randLevel].Array[i].langVerb);
	}
	$("#radioButton0").prop("checked", true);
	VerbLed.randomQue=$("#radioButton0").data("verbIndex");
	var name=document.getElementById(obj).innerHTML;
	$("#verbListType").text("Select "+name);
}
VerbLed.selectVerb = function (object) {
	VerbLed.randomQue=$("#"+object).data("verbIndex");
	$("#goButton").css({"opacity":"1",'pointer-events':'auto'});
}

VerbLed.startGame = function () {
	VerbLed.queArr=[];
	document.getElementById("verbListPage").style.display = "none";
	VerbLed.queArr.push(VerbLed.data[randLevel].Array[VerbLed.randomQue]);
	//VerbLed.populateQue();
	VerbLed.initVariables();
	
	if(VerbLed.practice){	//only game
		document.getElementById("skipButton").style.display="none";
		document.getElementById("nextButton").style.display="block";
		document.getElementById("optionsDiv").style.display="block";
		if(nextClickCnt<1)
			getDuration(Utils.path + 'sounds/Instructions/' +VerbLed.hardcodedData.instruction);
		VerbLed.flag=true;
	}
	else
	{	//learn + Practice
		document.getElementById("skipButton").style.display="block";
		document.getElementById("nextButton").style.display="none";
		document.getElementById("optionsDiv").style.display="none";
		if(nextClickCnt<1)
			getDuration(Utils.path + 'sounds/Instructions/' +VerbLed.hardcodedData.instruction2);
		VerbLed.flag=false;
	}
	document.getElementById("optionsDiv").style.background=Utils.path+"url('images/waterTenk.png')";
	document.getElementById("optionsDiv").style.backgroundSize="100% 100%"; 
	document.getElementById("gamePage").style.display = "block";
	document.getElementById("coverPage").style.display = "none";
	//document.getElementById("home").style.display = "block";
	document.getElementById("finalPage").style.display="none";
	document.getElementById("tenseChart").innerHTML="";	
	document.getElementById("VerbLed").innerHTML="";
	document.getElementById("VerbType").innerHTML="";
	VerbLed.tenseDiv();
	VerbLed.showQue();
}
VerbLed.populateQue = function ()
{
	var noOfQue=2;
	VerbLed.queArr=[];
	//var randLevel=Math.floor(Math.random()*2);
	for(var i=0;i<noOfQue;i++)
	{
		VerbLed.randomQue=Math.floor(Math.random()*VerbLed.data[randLevel].Array.length);
		while(VerbLed.queArr.includes(VerbLed.data[randLevel].Array[VerbLed.randomQue]))
		VerbLed.randomQue=Math.floor(Math.random()*VerbLed.data[randLevel].Array.length);
		VerbLed.queArr.push(VerbLed.data[randLevel].Array[VerbLed.randomQue]);
	}
	console.log(VerbLed.queArr);
}
VerbLed.tenseDiv=function()
{
	randNo=Math.floor(Math.random()*2);
	VerbLed.optionsArray=[];
	for(var i=0;i<3;i++)
	{
		var tenseDiv = document.createElement("div");
		tenseDiv.setAttribute("id","tenseDiv"+i);
		tenseDiv.setAttribute("class","VerbLed nopadding col-sm-4 col-lg-4 col-md-4 col-xs-4 col-sm-offset-0 col-lg-offset-0 col-md-offset-0 col-xs-offset-0");
		document.getElementById('VerbLed').appendChild(tenseDiv);
		$(tenseDiv).text(VerbLed.tensDataArray_h[i]);
	}
	for(var i=0;i<3;i++)
	{
		var tenseDiv = document.createElement("div");
		tenseDiv.setAttribute("id","tenseType"+i);
		tenseDiv.setAttribute("class","Verbtype ");
		document.getElementById('VerbType').appendChild(tenseDiv);
		$(tenseDiv).text(VerbLed.tensTypeArray[i]);
	}
	for(var i=0;i<3;i++)
	{
		VerbLed.selectTense();
		var tenseDiv = document.createElement("div");
		tenseDiv.setAttribute("id","rowDiv"+i);
		tenseDiv.setAttribute("class"," nopadding col-sm-4 col-lg-4 col-md-4 col-xs-4");
		document.getElementById('tenseChart').appendChild(tenseDiv);
		for(var j=0;j<3;j++)
		{
			if(j==0)
				var queTense=VerbLed.queArr[index].list[VerbLed.tenseSequence].simple;
			else if(j==1)
				var queTense=VerbLed.queArr[index].list[VerbLed.tenseSequence].continuous;
			else
				var queTense=VerbLed.queArr[index].list[VerbLed.tenseSequence].perfect;

			var tenseDiv = document.createElement("div");
			tenseDiv.setAttribute("id","tenseTypeDiv"+i+""+j);
			tenseDiv.setAttribute("class","sentenceDiv style col-sm-12 col-lg-12 col-md-12 col-xs-12 col-sm-offset-0 col-lg-offset-0 col-md-offset-0 col-xs-offset-0");
			tenseDiv.setAttribute("onclick","VerbLed.selectSell(this.id)");
			tenseDiv.setAttribute("data","off");
			tenseDiv.setAttribute("audioData",queTense[randNo].audio);
			document.getElementById("rowDiv"+i).appendChild(tenseDiv);
			document.getElementById("tenseTypeDiv"+i+""+j).style.background=Utils.path+"url('images/block.png')";
			document.getElementById("tenseTypeDiv"+i+""+j).style.backgroundSize="100% 100%"; 	//inline css priority more than external css
			for(var k=0;k<2;k++)
			{
				var tenseDiv = document.createElement("div");
				tenseDiv.setAttribute("id","langDiv"+i+""+j+""+k);
				tenseDiv.setAttribute("class","divStyle nopadding col-sm-12 col-lg-12 col-md-12 col-xs-12");
				document.getElementById("tenseTypeDiv"+i+""+j).appendChild(tenseDiv);
				if(k==1)
					tenseDiv.setAttribute("class","engText divStyle nopadding col-sm-12 col-lg-12 col-md-12 col-xs-12");
				if(k==0){
					$(tenseDiv).text(queTense[randNo].langSentence);
				}
				else
				{
					if(VerbLed.flag==false)
					{
						$(tenseDiv).text(queTense[randNo].sentence);
						$(tenseDiv).data("data",queTense[randNo].sentence);
						VerbLed.optionsArray.push(queTense[randNo]);}
					else
					{
						$(".engText").css({"border-bottom": "3px dotted","height":"6.2vh"});
						VerbLed.optionsArray.push(queTense[randNo]);
						$(tenseDiv).data("data",queTense[randNo].sentence);
					}
				}
			}
		}
	}
}
//select tense sequence
VerbLed.selectTense=function()
{
	for(var j=0;j<VerbLed.tensArray.length;j++)
	{
		for(var i=0;i<3;i++)
		{
			if(VerbLed.queArr[index].list[i].tense==VerbLed.tensArray[j])
			{
				VerbLed.tensArray.splice(j,1);
				VerbLed.tenseSequence=i;
				break;
			}
		}
		break;
	}
}
VerbLed.showQue=function()
{
	VerbLed.nextClicked=false;
	d = new Date();  //date object
	startTime = d.getDate() + "-" + (d.getMonth() + 1) + "-" + d.getFullYear() + " " + d.getHours() + ":" + d.getMinutes() + ":" + d.getSeconds();  //to get the current date
	VerbLed.ansClicked=false;
	VerbLed.sellClicked=false;
	scoredMarks = 0;
	VerbLed.tensArray= ["Present","Past","Future"];
	document.getElementById("optionsDiv").innerHTML="";
		VerbLed.createOptions();
	$("#verbDiv").text(VerbLed.queArr[index].verb+" - "+VerbLed.queArr[index].langVerb);
	label=word=VerbLed.queArr[index].verb;
	totalNos=VerbLed.data.length;
	questionId=VerbLed.queArr[index].questionId;
	
	$("#optionsDiv").css({'pointer-events':'none'});
	$("#next").removeClass("blink_me");
	$("#soundButton").css({'pointer-events':'auto'});
}
VerbLed.selectSell=function(object)	//learn chart
{
	VerbLed.sellClicked=true;
	document.getElementById("audio").pause();
	clearTimeout(VerbLed.instructionTimer);
	
	$("#optionsDiv").css({'pointer-events':'auto'});
	if(VerbLed.flag==false)	
	{
		clearInterval(VerbLed.noResponseTimer);
		clearTimeout(VerbLed.timeOut);
		var audio=	document.getElementById(object).getAttribute("audioData");
		getDuration(Utils.path + 'sounds/' +audio);
	}
	$(".sentenceDiv").removeClass("highLight");
	$("#"+object).addClass("highLight");
	if(VerbLed.flag==true)	//game page select cell to solve
	{
		$("#optionsDiv").css({'pointer-events':'auto'});
		VerbLed.ans=$($("#"+object).children()[1]).prop('id');
		VerbLed.ansData=$($("#"+object).children()[1]).data("data");
		VerbLed.highlightedCell=$("#"+object).prop('id');
	}
}
VerbLed.skipReading=function()	//skip and next btn
{
	if(nextClickCnt==0)
		getDuration(Utils.path + 'sounds/Instructions/' +VerbLed.hardcodedData.instruction);
	VerbLed.flag=true;
	document.getElementById("skipButton").style.display="none";
	document.getElementById("nextButton").style.display="block";
	//document.getElementById("soundButton").style.display="block";
	document.getElementById("audio").pause();
	document.getElementById("optionsDiv").style.display="block";
	$("#optionsDiv").css({'pointer-events':'none'});
	$(".engText").css({"border-bottom": "3px dotted","height":"6.2vh"});
	$(".engText").text("");
	$(".sentenceDiv").removeClass("highLight");	
}
VerbLed.nextQue=function() 	//next button		
{
	clearTimeout(VerbLed.wrongTimer);
	clearTimeout(VerbLed.Timer);
	VerbLed.nextClicked=true;
	document.getElementById("audio").pause();
	$("#optionsDiv").css({'pointer-events':'none'});
	$("#tenseChart").css({'pointer-events':'auto'});
	clearTimeout(VerbLed.instructionTimer);
	/* if(VerbLed.practice){
		document.getElementById("skipButton").style.display="none";
		document.getElementById("nextButton").style.display="block";
		document.getElementById("optionsDiv").style.display="block";
		VerbLed.flag=true;
	}
	else
	{
		document.getElementById("skipButton").style.display="block";
		document.getElementById("nextButton").style.display="none";
		document.getElementById("optionsDiv").style.display="none";
		VerbLed.flag=false;
	} */

	if(!VerbLed.ansClicked)
		scoredMarks=-1;
	VerbLed.scoreFunction();

	nextClickCnt++;
	$(".sentenceDiv").css({'pointer-events':'auto'});
	if(nextClickCnt==2)
	{
		document.getElementById("finalPage").style.display = "block";
		document.getElementById("gamePage").style.display = "none";
		VerbLed.gameOver();
	}
	else
	{
		document.getElementById("verbListPage").style.display="block";
		document.getElementById("gamePage").style.display="none";
		/* document.getElementById("tenseChart").innerHTML="";	
		document.getElementById("VerbLed").innerHTML="";
		document.getElementById("VerbType").innerHTML="";
		VerbLed.tenseDiv();
		VerbLed.showQue(); */
	}
}

VerbLed.createOptions=function()
{
	shuffleArray(VerbLed.optionsArray);
	for(var i=0;i<VerbLed.optionsArray.length;i++)
	{
		var optionDiv = document.createElement("Div");
		optionDiv.setAttribute("id","optionDiv"+i);
		optionDiv.setAttribute("class","nopadding options col-sm-4 col-lg-4 col-md-4 col-xs-4");
		document.getElementById('optionsDiv').appendChild(optionDiv);
		optionDiv.setAttribute("onclick","VerbLed.selectAns(this.id)");
		$(optionDiv).text(VerbLed.optionsArray[i].sentence);
		$(optionDiv).data("optionSound",VerbLed.optionsArray[i].audio);
	}
}
VerbLed.selectAns=function(obj)	//checkAns
{
	clearTimeout(VerbLed.wrongTimer);
	VerbLed.ansClicked=true;
	document.getElementById("audio").pause(); 
	var selectedText=document.getElementById(obj).innerHTML;
	$("#"+VerbLed.ans).text(selectedText);
	$("#optionsDiv").css({'pointer-events':'none'});
	$("#tenseChart").css({'pointer-events':'none'});
	if(selectedText==VerbLed.ansData)
	{
		var optionSound=$("#"+obj).data("optionSound");
		//alert(optionSound);
		VerbLed.rightAnsCnt++;
		if(VerbLed.rightAnsCnt==9){
			$("#next").addClass("blink_me");
			$("#soundButton").css({'pointer-events':'none'});
		}
		var dataSelectCell=document.getElementById(VerbLed.highlightedCell).getAttribute("data");
		if(dataSelectCell=="off")
			scoredMarks++;
		$("#"+VerbLed.highlightedCell).css({'pointer-events':'none',"opacity":"0.6"});
		getDuration(Utils.path + 'sounds/' +optionSound);
		//document.getElementById("audio").src=Utils.path+'sounds/Instructions/Right_answer__Aditi.mp3';
		if(scoredMarks==9)
		{
			console.log(word,totalNos,type);
			if(Utils.mobileDeviceFlag)
			{
				Android.addLearntData(word,totalNos,type);
			}
		}
	}
	else
	{
		document.getElementById(VerbLed.highlightedCell).setAttribute("data","on");
		document.getElementById("audio").src=Utils.path+'sounds/Instructions/wrong_answer!_Aditi.mp3';

		if (VerbLed.wrongTimer) {
			clearTimeout(VerbLed.wrongTimer);
			VerbLed.wrongTimer = null;
		}
		VerbLed.wrongTimer = setTimeout(function () {
			$("#"+VerbLed.ans).text("");
			//$("#tenseChart").css({'pointer-events':'auto'});
			$("#optionsDiv").css({'pointer-events':'auto'});
		}, 800);
	}
	if (VerbLed.Timer) {
		clearTimeout(VerbLed.Timer);
		VerbLed.Timer = null;
	}
	VerbLed.Timer = setTimeout(function () {
		
		$("#tenseChart").css({'pointer-events':'auto'});
	}, 800);

	document.getElementById("audio").play(); 
	document.getElementById("optionsDiv").innerHTML="";
	VerbLed.createOptions();
}
VerbLed.returnback=function()
{
	document.getElementById("audio").pause();
	if(VerbLed.homeFlag)
	{
		VerbLed.homeFlag=false;
		if(nextClickCnt!=2)
		{
			if(!VerbLed.ansClicked && VerbLed.sellClicked)
			{
				scoredMarks = 0;
				VerbLed.scoreFunction();
			}
			if(VerbLed.ansClicked && !VerbLed.nextClicked)
				VerbLed.scoreFunction();
		}
	document.getElementById("gamePage").style.display="none";
	document.getElementById("verbListPage").style.display="none";
	document.getElementById("levelPage").style.display="block";
	document.getElementById("finalPage").style.display="none";
	}
	else
	location.reload();
}
function shuffleArray(array)
{
	var i,j,temp;
	for (i = array.length - 1; i > 0; i--) 
	{
	    j = Math.floor(Math.random() * (i + 1));
	    temp = array[i];
	    array[i] = array[j];
	    array[j] = temp;
	}
	return array;
}

VerbLed.scoreFunction=function()		//score Function
{
	console.log(resId,questionId,scoredMarks,totalMarks,randLevel+1,startTime,label);
	if(Utils.mobileDeviceFlag)
	{
		Android.addScore(resId,questionId,scoredMarks,totalMarks,randLevel+1,startTime,label);
	}
}
VerbLed.gameOver = function () {
	document.getElementById("audio").pause(); 
	clearInterval(VerbLed.noResponseTimer);
	document.getElementById("gamePage").style.display = "none";
	document.getElementById("finalPage").style.display="block";
	document.getElementById("responseBoxDiv").style.display="none";
	document.getElementById("acknowledgementDiv").innerHTML = "";
	document.getElementById('gameOver').innerHTML=VerbLed.hardcodedData.message2;
	document.getElementById("audio").pause(); 
	for(i=0;i<Object.keys(VerbLed.AcknowledgementPageData).length;i++)
	{
		div=document.createElement('div');
		div.className="fontClass firstLetter col-xs-12 col-sm-12 col-md-12 col-lg-12";
		div.innerHTML=Object.keys(VerbLed.AcknowledgementPageData)[i]+" : "+Object.values(VerbLed.AcknowledgementPageData)[i];
		acknowledgementDiv.appendChild(div);
	}
	div=document.createElement('div');
	div.className="fontClass firstLetter col-xs-12 col-sm-12 col-md-12 col-lg-12";
	div.innerHTML=VerbLed.hardcodedData['createdOn'];
	acknowledgementDiv.appendChild(div);
	document.getElementById("acknowledgementDiv").style.display="none";
}
VerbLed.showCredits=function()			//show credits on click credit button
{
	document.getElementById("acknowledgementDiv").style.display="block";
}

function getDuration(src) {
	var duration = 0;
	//if (ShowMe.soundFlag) {
	$('#audio').on("loadedmetadata", function () {
		duration = $('#audio').prop('duration');
		$('#audio').unbind("loadedmetadata");
		VerbLed.playNextSound(duration);
	});
	$('#audio').prop('src', src);
}
VerbLed.playNextSound = function (duration)				//function for instruction
{
	document.getElementById('audio').play();
	if (VerbLed.instructionTimer) {
		clearTimeout(VerbLed.instructionTimer);
		VerbLed.instructionTimer = null;
	}
	VerbLed.instructionTimer = setTimeout(function () {
	}, duration * 1000);
}
VerbLed.playInstruction = function () {						//play instruction
	if(VerbLed.flag)
		document.getElementById('audio').src=Utils.path+'sounds/Instructions/'+ VerbLed.hardcodedData.instruction;
	else
		document.getElementById('audio').src=Utils.path+'sounds/Instructions/'+ VerbLed.hardcodedData.instruction2;
	document.getElementById('audio').play();
}

VerbLed.playAgain=function()		//credits
{
	/* index=0;
	document.getElementById("gamePage").style.display = "block";
	
	document.getElementById("tenseChart").innerHTML="";	
	document.getElementById("VerbLed").innerHTML="";
	document.getElementById("VerbType").innerHTML="";
	VerbLed.tenseDiv();
	VerbLed.showQue(); */
	nextClickCnt=0;
	document.getElementById("finalPage").style.display="none";
	document.getElementById("verbListPage").style.display="block";
	document.getElementById("gamePage").style.display="none";
}